/**
 * LWSDO, a high performance Domain Driven Design framework.
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * LWSDO is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package org.lwsdo.core;

import java.util.List;
import java.util.Map;

import org.lwsdo.model.action.Executable;
import org.lwsdo.model.action.PropertyKey;

public class EmptyInterceptor implements Interceptor {

	public static final Interceptor INSTANCE = new EmptyInterceptor();
	
	/**
	 * Called before the actions are processed
	 */
	public void preActionStage(Map<PropertyKey, List<Executable>> actions) {}
}
