/**
 * LWSDO, a high performance Domain Driven Design framework.
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * LWSDO is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package org.lwsdo.model;

public enum ProcessingStage {
	CREATE,              // This stage is responsible for creating all the new objects
	UPDATE,              // This stage can be invoked multiple times, if migration needs to be performed. See Schema Migration.docx for more details.
	                     //   Step 1. This stage is responsible for creating the update actions
                         //   Step 2. The actions are run at the end of the stage 
	INVARIANT,           // Any invariant methods are processed here	
	FLUSH                // The actual persistence of the changes are made at this step
	                     // This step also takes care of setting the version information, if not supported by the persistence orchestrator
}
