package org.lwsdo.model.action;

import java.util.HashSet;
import java.util.Set;

import org.lwsdo.model.ExtendedDataObject;

public class MapPosition implements Position {

	private ExtendedDataObject collectionElement;
	private Set<Object> oldPs = new HashSet<Object>();
	private Set<Object> newPs = new HashSet<Object>();
	
	public MapPosition(ExtendedDataObject element) {
		this.collectionElement = element;
	}

	@Override
	public Set<Object> getAdded() {
		Set<Object> result = (new HashSet(newPs));
		result.removeAll(oldPs);
		
		return result;
	}

	@Override
	public void addToNew(Object position) {
		newPs.add(position);
	}

	@Override
	public Set getObsolete() {
		Set<Object> result = (new HashSet(oldPs));
		result.removeAll(newPs);
		
		return result;		
	}

	@Override
	public void addToOld(Object position) {
		oldPs.add(position);
	}

	@Override
	public ExtendedDataObject getCollectionElement() {
		return this.collectionElement;
	}

	@Override
	public boolean isNew() {
		return (newPs.size() > 0 && oldPs.size() == 0);
	}

}
