/**
 * LWSDO, a high performance Domain Driven Design framework.
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * LWSDO is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package org.lwsdo.model.action;

import org.lwsdo.model.ExtendedProperty;


public class MigratorActionFactory {

	public static CollectionUpdateAction getInstance(PropertyKey key) {
		ExtendedProperty property = (ExtendedProperty) key.getProperty();
		
		if(property.isSet())
			return new SetUpdateAction(key);
		else if(property.isList())
			return new ListUpdateAction(key);
		else if(property.isMap())
			return new MapUpdateAction(key);
		
		return null;
	}

}
