/**
 * LWSDO, a high performance Domain Driven Design framework.
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * LWSDO is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package org.lwsdo.model.action;

import org.lwsdo.model.CallInfo;
import org.lwsdo.model.ExtendedDataObject;

public final class RepositionElementAction implements ElementAction {

	private final PropertyKey key;
	private final ExtendedDataObject collectionElement;	
	private final CallInfo callInfo;
	private final Executable triggeringAction;
	private final Object position;	

	public RepositionElementAction(PropertyKey key, ExtendedDataObject collectionElement, CallInfo callInfo, Executable triggeringAction, Object position) {
		this.key = key;
		this.collectionElement = collectionElement;		
		this.callInfo = callInfo;
		this.triggeringAction = triggeringAction;
		this.position = position;
	}

	@Override
	public void execute() {

	}	

	@Override
	public PropertyKey getKey() {
		return key;
	}
	
	public CallInfo getCallInfo() {
		return this.callInfo;
	}

	@Override
	public Executable getTriggeringAction() {
		return this.triggeringAction;
	}

	@Override
	public Object getPosition() {
		return this.position;
	}

	@Override
	public ExtendedDataObject getCollectionElement() {
		return this.collectionElement;
	}	

}
