/**
 * LWSDO, a high performance Domain Driven Design framework.
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * LWSDO is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package org.lwsdo.model.event;

import org.lwsdo.model.CallInfo;

public class CollectionElement implements CollectionEvent {

	private CallInfo ci;	
	private Object collection;
	private Object element;
	private Object key; // in case the collection is a Map, element is then the value

	public CollectionElement(CallInfo ci, Object collection, Object element) {
		this.ci = ci;		
		this.collection = collection;
		this.element = element;
	}
	
	public CallInfo getCallInfo() {
		return ci;
	}

	public void setCallInfo(CallInfo ci) {
		this.ci = ci;
	}	

	public Object getElement() {
		return element;
	}
	
	public Object getCollection() {
		return collection;
	}
	
	public void setKey(Object key) {
		this.key = key;
	}

	public Object getKey() {
		return key;
	}
}
