/**
 * LWSDO, a high performance Domain Driven Design framework.
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * LWSDO is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package org.lwsdo.service;

public abstract class AbstractQueryCapability implements QueryCapability {

	@Override
	public String getTypeMechanism(String queryAlias) {
		return "TYPE(" + queryAlias + ")";
	}

	@Override
	public String getMapKeyMechanism(String queryAlias) {
		return "KEY(" + queryAlias + ")";
	}

	@Override
	public String getMapValueMechanism(String queryAlias) {
		return "VALUE(" + queryAlias + ")";
	}
	
	@Override
	public String getListIndexMechanism(String queryAlias) {
		return "INDEX(" + queryAlias + ")";
	}	
}