/**
 * LWSDO, a high performance Domain Driven Design framework.
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * LWSDO is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package org.lwsdo.util;

import java.util.ArrayList;

public class IdentityArrayList<T> extends ArrayList<T>
{
    /**
	 * 
	 */
	private static final long serialVersionUID = -7633241118173209011L;

	@Override
	public boolean contains(Object elem)
    {
        return indexOf(elem) >= 0;
    }

	@Override
    public int indexOf(Object elem)
    {
        for(int i = 0; i < size(); i++)
            if(elem == get(i))
                return i;
        return -1;
    }

	@Override
    public int lastIndexOf(Object elem)
    {
        for(int i = size() - 1; i >= 0; i--)
            if(elem == get(i))
                return i;
        return -1;
    }
	
	@Override
	public boolean remove(Object o) {
		int index = indexOf(o);
		if(index == -1)
			return false;
		
		remove(index);
		
		return true;
	}
}